
public class Class403 {

   public static long aLong4920;


   public static String method6824(String var0) {
      StringBuilder var1 = new StringBuilder();
      int var2 = var0.length();

      for(int var3 = 0; var3 < var2; ++var3) {
         char var4 = var0.charAt(var3);
         if(37 == var4 && var2 > var3 + 2) {
            var4 = var0.charAt(1 + var3);
            boolean var5 = false;
            int var6;
            if(var4 >= 48 && var4 <= 57) {
               var6 = var4 - 48;
            } else if(var4 >= 97 && var4 <= 102) {
               var6 = var4 + 10 - 97;
            } else {
               if(var4 < 65 || var4 > 70) {
                  var1.append('%');
                  continue;
               }

               var6 = var4 + 10 - 65;
            }

            var6 *= 16;
            var4 = var0.charAt(var3 + 2);
            if(var4 >= 48 && var4 <= 57) {
               var6 += var4 - 48;
            } else if(var4 >= 97 && var4 <= 102) {
               var6 += 10 + var4 - 97;
            } else {
               if(var4 < 65 || var4 > 70) {
                  var1.append('%');
                  continue;
               }

               var6 += 10 + var4 - 65;
            }

            if(var6 != 0 && Class272.method4838((byte)var6, -1476850814)) {
               var1.append(Class225_Sub14_Sub17.method16331((byte)var6, 983704366));
            }

            var3 += 2;
         } else if(43 == var4) {
            var1.append(' ');
         } else {
            var1.append(var4);
         }
      }

      return var1.toString();
   }

   public static String method6825(String var0) {
      StringBuilder var1 = new StringBuilder();
      int var2 = var0.length();

      for(int var3 = 0; var3 < var2; ++var3) {
         char var4 = var0.charAt(var3);
         if(37 == var4 && var2 > var3 + 2) {
            var4 = var0.charAt(1 + var3);
            boolean var5 = false;
            int var6;
            if(var4 >= 48 && var4 <= 57) {
               var6 = var4 - 48;
            } else if(var4 >= 97 && var4 <= 102) {
               var6 = var4 + 10 - 97;
            } else {
               if(var4 < 65 || var4 > 70) {
                  var1.append('%');
                  continue;
               }

               var6 = var4 + 10 - 65;
            }

            var6 *= 16;
            var4 = var0.charAt(var3 + 2);
            if(var4 >= 48 && var4 <= 57) {
               var6 += var4 - 48;
            } else if(var4 >= 97 && var4 <= 102) {
               var6 += 10 + var4 - 97;
            } else {
               if(var4 < 65 || var4 > 70) {
                  var1.append('%');
                  continue;
               }

               var6 += 10 + var4 - 65;
            }

            if(var6 != 0 && Class272.method4838((byte)var6, -11369813)) {
               var1.append(Class225_Sub14_Sub17.method16331((byte)var6, 201625266));
            }

            var3 += 2;
         } else if(43 == var4) {
            var1.append(' ');
         } else {
            var1.append(var4);
         }
      }

      return var1.toString();
   }

   Class403() throws Throwable {
      throw new Error();
   }

   public static String method6826(CharSequence var0) {
      int var1 = var0.length();
      StringBuilder var2 = new StringBuilder(var1);

      for(int var3 = 0; var3 < var1; ++var3) {
         char var4 = var0.charAt(var3);
         if((var4 < 97 || var4 > 122) && (var4 < 65 || var4 > 90) && (var4 < 48 || var4 > 57) && 46 != var4 && var4 != 45 && var4 != 42 && var4 != 95) {
            if(32 == var4) {
               var2.append('+');
            } else {
               byte var5 = Class313.method5585(var4, (short)176);
               var2.append('%');
               int var6 = var5 >> 4 & 15;
               if(var6 >= 10) {
                  var2.append((char)(var6 + 55));
               } else {
                  var2.append((char)(48 + var6));
               }

               var6 = var5 & 15;
               if(var6 >= 10) {
                  var2.append((char)(55 + var6));
               } else {
                  var2.append((char)(48 + var6));
               }
            }
         } else {
            var2.append(var4);
         }
      }

      return var2.toString();
   }

   static final void method6827(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1463764983);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class545_Sub3.method15393(var3, var4, var0, -1834177118);
   }
}
